Up

# NSFileWrapper

### Authors

Felipe A. Rodriguez (`far@ix.netcom.com`)
Jonathan Gapen (`jagapen@whitewater.chem.wisc.edu`)

> Hold a file's contents in dynamic memory.

Copyright: (C) 1996 Free Software Foundation, Inc.

# Software documentation for the NSFileWrapper class

## NSFileWrapper : NSObject

> Declared in:
>   AppKit/NSFileWrapper.h

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -addFileWithPath:
- -addFileWrapper:
- -addRegularFileWithContents:preferredFilename:
- -addSymbolicLinkWithDestination:preferredFilename:
- -fileAttributes
- -fileWrappers
- -filename
- -icon
- -initDirectoryWithFileWrappers:
- -initRegularFileWithContents:
- -initSymbolicLinkWithDestination:
- -initWithPath:
- -initWithSerializedRepresentation:
- -isDirectory
- -isRegularFile
- -isSymbolicLink
- -keyForFileWrapper:
- -needsToBeUpdatedFromPath:
- -preferredFilename
- -regularFileContents
- -removeFileWrapper:
- -serializedRepresentation
- -setFileAttributes:
- -setFilename:
- -setIcon:
- -setPreferredFilename:
- -symbolicLinkDestination
- -updateFromPath:
- -writeToFile:atomically:updateFilenames:

### addFileWithPath:

- (NSString*) addFileWithPath: (NSString*)path;

Description forthcoming.

### addFileWrapper:

- (NSString*) addFileWrapper: (NSFileWrapper*)doc;

Description forthcoming.

### addRegularFileWithContents:preferredFilename:

- (NSString*) addRegularFileWithContents: (NSData*)data preferredFilename: (NSString*)filename;

Description forthcoming.

### addSymbolicLinkWithDestination:preferredFilename:

- (NSString*) addSymbolicLinkWithDestination: (NSString*)path preferredFilename: (NSString*)filename;

Description forthcoming.

### fileAttributes

- (NSDictionary*) fileAttributes;

Description forthcoming.

### fileWrappers

- (NSDictionary*) fileWrappers;

Description forthcoming.

### filename

- (NSString*) filename;

Description forthcoming.

### icon

- (NSImage*) icon;

Description forthcoming.

### initDirectoryWithFileWrappers:

- (id) initDirectoryWithFileWrappers: (NSDictionary*)docs;

Description forthcoming.

### initRegularFileWithContents:

- (id) initRegularFileWithContents: (NSData*)data;

Description forthcoming.

### initSymbolicLinkWithDestination:

- (id) initSymbolicLinkWithDestination: (NSString*)path;

Description forthcoming.

### initWithPath:

- (id) initWithPath: (NSString*)path;

Init an instance from the file, directory, or symbolic link at path.
This can create a tree of instances with a directory instance at the top

### initWithSerializedRepresentation:

- (id) initWithSerializedRepresentation: (NSData*)data;

Description forthcoming.

### isDirectory

- (BOOL) isDirectory;

Description forthcoming.

### isRegularFile

- (BOOL) isRegularFile;

Description forthcoming.

### isSymbolicLink

- (BOOL) isSymbolicLink;

Description forthcoming.

### keyForFileWrapper:

- (NSString*) keyForFileWrapper: (NSFileWrapper*)doc;

Description forthcoming.

### needsToBeUpdatedFromPath:

- (BOOL) needsToBeUpdatedFromPath: (NSString*)path;

Description forthcoming.

### preferredFilename

- (NSString*) preferredFilename;

Description forthcoming.

### regularFileContents

- (NSData*) regularFileContents;

Description forthcoming.

### removeFileWrapper:

- (void) removeFileWrapper: (NSFileWrapper*)doc;

Description forthcoming.

### serializedRepresentation

- (NSData*) serializedRepresentation;

Description forthcoming.

### setFileAttributes:

- (void) setFileAttributes: (NSDictionary*)attributes;

Description forthcoming.

### setFilename:

- (void) setFilename: (NSString*)filename;

Description forthcoming.

### setIcon:

- (void) setIcon: (NSImage*)icon;

Description forthcoming.

### setPreferredFilename:

- (void) setPreferredFilename: (NSString*)filename;

Description forthcoming.

### symbolicLinkDestination

- (NSString*) symbolicLinkDestination;

Description forthcoming.

### updateFromPath:

- (BOOL) updateFromPath: (NSString*)path;

Description forthcoming.

### writeToFile:atomically:updateFilenames:

- (BOOL) writeToFile: (NSString*)path atomically: (BOOL)atomicFlag updateFilenames: (BOOL)updateFilenamesFlag;

Description forthcoming.

Up